List backlinks
curl --request GET \
--url https://api.beeze.io/v1/domain-research/backlink-portfolio \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/backlink-portfolio"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/backlink-portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/backlink-portfolio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/backlink-portfolio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/backlink-portfolio")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/backlink-portfolio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"source_url": "<string>",
"source_domain": "<string>",
"target_url": "<string>",
"anchor_text": "<string>",
"source_title": "<string>",
"source_trust_flow": 123,
"source_citation_flow": 123,
"source_domain_rating": 123,
"source_organic_traffic": 123,
"is_nofollow": true,
"is_redirect": true,
"is_image_link": true,
"first_indexed_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"count": 123,
"limit": 123,
"hasMore": true
}
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Domain research
List backlinks
Returns paginated backlinks across all tracked projects in the workspace, with optional search, sorting, and project filtering.
GET
/
domain-research
/
backlink-portfolio
List backlinks
curl --request GET \
--url https://api.beeze.io/v1/domain-research/backlink-portfolio \
--header 'x-api-key: <api-key>'import requests
url = "https://api.beeze.io/v1/domain-research/backlink-portfolio"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.beeze.io/v1/domain-research/backlink-portfolio', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.beeze.io/v1/domain-research/backlink-portfolio",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.beeze.io/v1/domain-research/backlink-portfolio"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.beeze.io/v1/domain-research/backlink-portfolio")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.beeze.io/v1/domain-research/backlink-portfolio")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": [
{
"source_url": "<string>",
"source_domain": "<string>",
"target_url": "<string>",
"anchor_text": "<string>",
"source_title": "<string>",
"source_trust_flow": 123,
"source_citation_flow": 123,
"source_domain_rating": 123,
"source_organic_traffic": 123,
"is_nofollow": true,
"is_redirect": true,
"is_image_link": true,
"first_indexed_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"count": 123,
"limit": 123,
"hasMore": true
}
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}{
"status": 123,
"detail": "<string>",
"code": "<string>",
"type": "<string>",
"title": "<string>",
"requestId": "<string>",
"instance": "<string>"
}Authorizations
API key for external Beeze API access
Query Parameters
Project identifier. Accepts project ID, slug, or name within the active workspace. If the project name is ambiguous in that workspace, use the project slug or project ID. Public project-scoped routes also require globally unique project names across workspaces.
Minimum string length:
1Required range:
x >= 0Required range:
1 <= x <= 100Column to sort by
Available options:
source_url, source_domain, target_url, anchor_text, source_trust_flow, source_citation_flow, source_domain_rating, source_organic_traffic, first_indexed_at, last_seen_at Sort direction
Available options:
asc, desc